<!DOCTYPE HTML>
<html>
<!--
https://bugzilla.mozilla.org/show_bug.cgi?id=452566
-->
<head>
  <title>Test for Bug 452566</title>
  <script type="text/javascript" src="/MochiKit/MochiKit.js"></script>
  <script type="text/javascript" src="/tests/SimpleTest/SimpleTest.js"></script>
  <script type="text/javascript" src="prompt_common.js"></script>
  <script type="text/javascript" src="geolocation_common.js"></script>
  <link rel="stylesheet" type="text/css" href="/tests/SimpleTest/test.css" />
</head>
<body>
<a target="_blank" href="https://bugzilla.mozilla.org/show_bug.cgi?id=452566">Mozilla Bug 452566</a>
<p id="display"></p>
<div id="content" style="display: none">
  
</div>
<pre id="test">
<script class="testbody" type="text/javascript">

/** Test for Bug 452566 **/

const NOT_ENOUGH_ARGS = 2153185281;

ok(navigator.geolocation, "Should have geolocation");

attachPrompt();
promptOption = ACCEPT;

var exception = null;
try {
  navigator.geolocation.getCurrentPosition();
} catch(ex) {
  if (ex.result == NOT_ENOUGH_ARGS) {
    exception = ex;
  }
}
ok(exception, "Should have got an exception");

exception = null;
try {
  navigator.geolocation.getCurrentPosition(function() {});
} catch(ex) {
  if (ex.result == NOT_ENOUGH_ARGS) {
    exception = ex;
  }
}
ok(!exception, exception);

exception = null;
try {
  navigator.geolocation.getCurrentPosition(function() {}, function() {});
} catch(ex) {
  if (ex.result == NOT_ENOUGH_ARGS) {
    exception = ex;
  }
}
ok(!exception, exception);

exception = null;
try {
  navigator.geolocation.getCurrentPosition(function() {}, function() {}, {});
} catch(ex) {
  if (ex.result == NOT_ENOUGH_ARGS) {
    exception = ex;
  }
}
ok(!exception, exception);

exception = null;
try {
  navigator.geolocation.watchPosition();
} catch(ex) {
  if (ex.result == NOT_ENOUGH_ARGS) {
    exception = ex;
  }
}
ok(exception, "Should have got an exception");

exception = null;
try {
  navigator.geolocation.watchPosition(function() {});
} catch(ex) {
  if (ex.result == NOT_ENOUGH_ARGS) {
    exception = ex;
  }
}
ok(!exception, exception);

exception = null;
try {
  navigator.geolocation.watchPosition(function() {}, function() {});
} catch(ex) {
  if (ex.result == NOT_ENOUGH_ARGS) {
    exception = ex;
  }
}
ok(!exception, exception);

exception = null;
try {
  navigator.geolocation.watchPosition(function() {}, function() {}, {});
} catch(ex) {
  if (ex.result == NOT_ENOUGH_ARGS) {
    exception = ex;
  }
}
ok(!exception, exception);

removePrompt();

</script>
</pre>
</body>
</html>

